Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.testbeans
Class TestBeanHelper

    java.lang.Object
      org.apache.jmeter.testbeans.TestBeanHelper

    public class TestBeanHelper

extends Object

This is an experimental class. An attempt to address the complexity of writing new JMeter components.

TestBean currently extends AbstractTestElement to support backward-compatibility, but the property-value-map may later on be separated from the test beans themselves. To ensure this will be doable with minimum damage, all inherited methods are deprecated.

Field Summary
`protected static org.apache.log.Logger` | `log`

Constructor Summary
`TestBeanHelper()`

Method Summary
`static void` | `prepare(TestElement el)` Deprecated. to limit it's usage in expectation of moving it elsewhere.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.log.Logger log

Constructor Detail

### TestBeanHelper

    public TestBeanHelper()

Method Detail

### prepare

    @Deprecated
    public static void prepare(TestElement el)

  Deprecated. to limit it's usage in expectation of moving it elsewhere.

  Prepare the bean for work by populating the bean's properties from the property value map.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.